package com.ruoyi.project.plant.service;

import java.util.List;
import com.ruoyi.project.plant.domain.TConfInfo;

/**
 * 会议预约信息Service接口
 *
 * @author ssy
 * @date 2024-05-06
 */
public interface ITConfInfoService
{
    /**
     * 查询会议预约信息
     *
     * @param id 会议预约信息ID
     * @return 会议预约信息
     */
    public TConfInfo selectTConfInfoById(Long id);

    /**
     * 查询会议预约信息列表
     *
     * @param tConfInfo 会议预约信息
     * @return 会议预约信息集合
     */
    public List<TConfInfo> selectTConfInfoList(TConfInfo tConfInfo);

    /**
     * 新增会议预约信息
     *
     * @param tConfInfo 会议预约信息
     * @return 结果
     */
    public int insertTConfInfo(TConfInfo tConfInfo);

    /**
     * 修改会议预约信息
     *
     * @param tConfInfo 会议预约信息
     * @return 结果
     */
    public int updateTConfInfo(TConfInfo tConfInfo);

    /**
     * 批量删除会议预约信息
     *
     * @param ids 需要删除的会议预约信息ID
     * @return 结果
     */
    public int deleteTConfInfoByIds(Long[] ids);

    /**
     * 删除会议预约信息信息
     *
     * @param id 会议预约信息ID
     * @return 结果
     */
    public int deleteTConfInfoById(Long id);
}
